IPCS(1)

NOM
ipcs - Montrer des renseignements sur l'utilisation des ressources IPC

SYNOPSIS

ipcs [options]

DESCRIPTION

ipcs shows information on System V inter-process communication facilities. By default it shows information about all three resources: shared memory segments, message queues, and semaphore arrays.

OPTIONS

-i, --id ID
    Montrer tous les détails sur le seul élément de ressource identifié par ID. Cette option doit être combinée avec une des trois options de ressource : -m, -q ou -s.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

  Options de ressource

-m, --shmems
    Écrire les renseignements sur les segments de mémoire partagée actifs.

-q, --queues
    Écrire les renseignements sur les files de messages actives.

-s, --semaphores
    Écrire les renseignements sur les ensembles de sémaphores actifs.

-a, --all
    Écrire les renseignements sur toutes les trois ressources (par défaut).

  Formats de sortie

Une seule de ces options sera prise en compte : la dernière indiquée.

-c, --creator
    Montrer le créateur et le propriétaire.

-l, --limits
    Montrer les limites de ressource.

-p, --pid
    Montrer les PID de créateur et de dernier opérateur.

-t, --time
    Écrire les renseignements d’heure. L’heure de la dernière opération de contrôle qui a modifié les droits d’accès à toutes les ressources, l’heure des dernières opérations msgsnd(2) et msgrcv(2) sur les files de messages, l’heure des dernières opérations shmat(2) et shmdt(2) sur la mémoire partagée et l’heure de la dernière opération semop(2) sur les sémaphores.

-u, --summary
    Montrer un résumé de l’état.

  Représentation

Cela n’affecte que l’option -l (--limits).

-b, --bytes
    Afficher la taille (colonne SIZE) en octets plutôt qu’en format lisible.

    Par défaut, l’unité des tailles est exprimée en octets SI et les préfixes d’unités sont des puissances de 2^10 (1024). Les abréviations des symboles sont affichées tronquées afin d’offrir une meilleure lisibilité. Seule la première lettre est affichée. Par exemple, « 1 Kio » et « 1 Mio » sont affichés comme « 1 K » et « 1 M » respectivement en omettant volontairement la mention « io » qui fait partie de ces abréviations.

--human
    Afficher les tailles en format lisible.

CONFORMITÉ

L’utilitaire ipcs Linux n’est pas totalement compatible avec l’utilitaire ipcs POSIX. La version Linux ne gère pas les options -a, -b et -o de POSIX, mais gère les options -l et -u non définies dans POSIX. Une application portable ne doit pas utiliser les options -a, -b, -o, -l ni -u.

NOTES

L’implémentation actuelle de ipcs récupère des renseignements sur les ressources IPC disponibles en analysant les fichiers de /proc/sysvipc. Avant util-linux version v2.23, un autre mécanisme était utilisé : la commande IPC_STAT de msgctl(2), de semctl(2) et de shmctl(2). Ce mécanisme est aussi utilisé dans les dernières versions d’util-linux si /proc n’est pas disponible. Une limite du mécanisme IPC_STAT est qu’il ne peut être utilisé que pour récupérer des renseignements sur les ressources IPC pour lesquelles l’utilisateur a le droit de lecture.

AUTEURS

VOIR AUSSI

ipcmk(1), ipcrm(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2), sysvipc(7)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande ipcs fait partie du paquet util-linux, elle est disponible sur